OperationCreateBentPlateByFaces Method (Part, Face, Part, Face, BentPlateBendShape)

Modifies the first plate by adding a bend that connects it to the second plate creating a new BentPlate instance based on two parts and selected faces in each part. This method can change GUID when using from plug-ins. To keep GUID, use AddLeg(ConnectiveGeometry, LineSegment, ConnectiveGeometry, LineSegment, BentPlateBendShape).

Namespace:  Tekla.Structures.Model.Operations
Assembly:  Tekla.Structures.Model (in Tekla.Structures.Model.dll) Version: 2023.0.3
Syntax
public static BentPlate CreateBentPlateByFaces(
	Part part1,
	Face face1,
	Part part2,
	Face face2,
	BentPlateBendShape bendShape
)

Parameters

part1
Type: Tekla.Structures.ModelPart
The first part.
face1
Type: Tekla.Structures.SolidFace
The selected solid face on the first part.
part2
Type: Tekla.Structures.ModelPart
The second part.
face2
Type: Tekla.Structures.SolidFace
The selected solid face on the second part.
bendShape
Type: Tekla.Structures.ModelBentPlateBendShape
Shape of the bend (cylindrical or conical)

Return Value

Type: BentPlate
The bent plate object if successful, null otherwise.
Exceptions
ExceptionCondition
ConnectiveGeometryExceptionThrown if could not create ConnectiveGeometry instance.
ArgumentExceptionThrown when faces have incorrect number of face points or received unsupported bent plate creation input.
See Also
Was this helpful?
The feedback you give here is not visible to other users. We use your comments to improve the content.
Previous
Next